## mingw-w64 3.1.0

=== debian/changelog ===
mingw-w64 (3.1.0-1) unstable; urgency=medium

  * New upstream release.
  * Add support for hppa; thanks to John David Anglin for the patch.
    (Closes: #730398.)
  * Standards-Version 3.9.5, no change required.
  * Drop Makefile.in patch from libvfw32.patch; it's regenerated during
    the build (this allows building twice in a row without errors).

 -- Stephen Kitt <skitt@debian.org>  Fri, 10 Jan 2014 07:14:19 +0100

mingw-w64 (3.0.0-3) unstable; urgency=low

  * Explicitly build-depend on automake 1.14 or later.
  * Ship common header files in a new mingw-w64-common package.
  * Make the build target in debian/rules depend on build-indep as well
    as build-arch, so it builds everything.

 -- Stephen Kitt <skitt@debian.org>  Sun, 10 Nov 2013 14:46:24 +0100

mingw-w64 (3.0.0-2) unstable; urgency=low

  * Restore libvfw32.a in the 32-bit package (thanks to Eugen Dedu for
    pointing out that it had been dropped).

 -- Stephen Kitt <skitt@debian.org>  Tue, 24 Sep 2013 00:00:55 +0200

mingw-w64 (3.0.0-1) unstable; urgency=low

  * New upstream release.
  * Add links to the pkg-config manpage.
  * Import widl manpage from the Wine project.

 -- Stephen Kitt <skitt@debian.org>  Sat, 21 Sep 2013 13:27:01 +0200

mingw-w64 (3.0~svn6246-1) unstable; urgency=low

  * New upstream snapshot.
  * Drop obsolete mingw-w64-dev package.
  * Provide pkg-config symlinks in mingw-w64-tools.
  * Improve mingw-w64-tools package description.

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Sep 2013 20:16:43 +0200
