## mingw-w64 3.2.0

=== debian/changelog ===
mingw-w64 (3.2.0-2) unstable; urgency=medium

  * Add missing / to open boilerplate in a few headers. (Closes:
    #761191.)

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Sep 2014 23:29:57 +0200

mingw-w64 (3.2.0-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches, and drop libvfw32.patch and wcstold.patch, both
    merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Thu, 04 Sep 2014 06:31:33 +0200

mingw-w64 (3.1.0-4) unstable; urgency=medium

  * Update strtok_r.patch as done upstream, to remove the conditions on
    strtok_r's availability.

 -- Stephen Kitt <skitt@debian.org>  Sun, 27 Jul 2014 23:39:29 +0200

mingw-w64 (3.1.0-3) unstable; urgency=medium

  * g++-mingw-w64 exists separately in stable, drop obsolete alternate
    dependency on old versions of gcc-mingw-w64.
  * Merge upstream implementation of strtok_r, so it's available on
    Windows XP. Thanks to Gianluigi Tiesi for pointing out the problem,
    and to Jonathan Young for pointing out that he'd fixed it upstream.
    (Closes: #755448.)
  * Small typo fix on 'targeting' in mingw-w64's description, thanks
    Lintian!

 -- Stephen Kitt <skitt@debian.org>  Mon, 21 Jul 2014 22:55:23 +0200

mingw-w64 (3.1.0-2) unstable; urgency=medium

  * Use strtok_s to implement strtok_r instead of the non-reentrant
    version provided in pthread.h. Thanks to Bill Alombert for pointing
    out the problem. (Closes: #736253.)
  * Apply upstream patch to __mingw_wcstold to handle NULL _EndPtr.
    (Closes: #750768.)
  * Suggest wine and wine64. (Closes: #745345.)

 -- Stephen Kitt <skitt@debian.org>  Sun, 08 Jun 2014 23:02:28 +0200
