=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
 Depends: ${misc:Depends}, mingw-w64-common
 Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
 Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Suggests: wine
 Description: Development files for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -33,12 +34,16 @@
  .
  This package contains the headers and libraries required to build
  32-bit software using MinGW-w64.
+ .
+ The wine package can be used to test software built using MinGW-w64
+ without using Windows.
 
 Package: mingw-w64-x86-64-dev
 Architecture: all
 Depends: ${misc:Depends}, mingw-w64-common
 Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
 Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Suggests: wine64
 Description: Development files for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -46,11 +51,14 @@
  .
  This package contains the headers and libraries required to build
  64-bit software using MinGW-w64.
+ .
+ The wine64 package can be used to test software built using MinGW-w64
+ without using Windows.
 
 Package: mingw-w64
 Architecture: all
-Depends: gcc-mingw-w64, g++-mingw-w64 | gcc-mingw-w64 (<< 4.6.3-3+4), ${misc:Depends}
-Description: Development environment targetting 32- and 64-bit Windows
+Depends: gcc-mingw-w64, g++-mingw-w64, ${misc:Depends}
+Description: Development environment targeting 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
  the GNU Compiler Collection (gcc).
