## mingw-w64 4.0.2

=== debian/changelog ===
mingw-w64 (4.0.2-2) unstable; urgency=medium

  * Build the extra libraries using the newly provided runtime
    libraries.
  * Fix debian/copyright (no empty license names, unique license names
    throughout).
  * Avoid inserting timestamps in PE binaries.
  * Specify dlltool's temp prefix so it generates reproducible files.
  * Upload to unstable.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 May 2015 00:18:10 +0200

mingw-w64 (4.0.2-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Apr 2015 20:15:20 +0200

mingw-w64 (4.0.1-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 25 Mar 2015 07:17:32 +0100

mingw-w64 (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 14 Mar 2015 21:46:51 +0100

mingw-w64 (4.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Stephen Kitt <skitt@debian.org>  Fri, 06 Mar 2015 21:17:40 +0100

mingw-w64 (4.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Feb 2015 07:39:22 +0100

mingw-w64 (4.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
  * Add upstream signing info.
  * Update license information.
  * Refresh patches.
  * Standards-Version 3.9.6, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 28 Jan 2015 00:50:06 +0100

mingw-w64 (3.3.0-1) experimental; urgency=medium

  * New upstream release, uploaded to experimental for the Jessie freeze.
  * Drop strtok_r.patch and fix-mingw-headers.patch, merged upstream.
  * Update licensing information.

 -- Stephen Kitt <skitt@debian.org>  Fri, 31 Oct 2014 07:46:22 +0100
