=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
 CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
 FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
-LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
+LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS) -Xlinker --no-insert-timestamp
 export CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS
 
 clean:
@@ -120,12 +120,12 @@
 
 # If we're targetting the build host, configure for hardening
 # If we're targetting the target host, disable hardening (see above),
-# change the prefix and use the new headers
+# change the prefix and use the new headers and libraries
 %-configure-stamp: autoreconf-stamp
 	if [ "$(call rulehost,$*)" = "$(host)" ]; then \
 		dh_auto_configure -D$(call sourcefolder,$*) -B$(call buildfolder,$*) -- $(shell dpkg-buildflags --export=configure) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
 	else \
-		CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" dh_auto_configure -D$(call sourcefolder,$*) -B$(call buildfolder,$*) -- --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
+		CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" LDFLAGS="$(LDFLAGS) -L$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib" dh_auto_configure -D$(call sourcefolder,$*) -B$(call buildfolder,$*) -- --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
 	fi
 	touch $*-configure-stamp
