## mingw-w64 4.0.4

=== debian/changelog ===
mingw-w64 (4.0.4-2) unstable; urgency=medium

  * Rely on binutils-mingw-w64's support of SOURCE_DATE_EPOCH to build
    reproducibly (instead of explicitly specifying PE timestamps). Thus
    this package no longer needs to build-depend on binutils-mingw-w64.
  * Ship executable DLLs. (Closes: #796224.)
  * Switch to debhelper compatibility level 9.

 -- Stephen Kitt <skitt@debian.org>  Sat, 02 Jan 2016 17:16:26 +0100

mingw-w64 (4.0.4-1) unstable; urgency=medium

  * New upstream release, merging the patch to shlobj.h.
  * Handle libgomp's sloppy initialisation.

 -- Stephen Kitt <skitt@debian.org>  Sat, 08 Aug 2015 01:09:35 +0200

mingw-w64 (4.0.2-5) unstable; urgency=medium

  * Specify the PE timestamp using the changelog's date.

 -- Stephen Kitt <skitt@debian.org>  Thu, 11 Jun 2015 21:03:39 +0200

mingw-w64 (4.0.2-4) unstable; urgency=medium

  * Apply upstream patch to fix shlobj.h. (Closes: #787546.) Thanks to
    Markus Koschany for pointing out the bug and the fix!

 -- Stephen Kitt <skitt@debian.org>  Tue, 02 Jun 2015 19:02:37 +0200

mingw-w64 (4.0.2-3) unstable; urgency=medium

  * Drop __DATE__ from gendef so it builds reproducibly.

 -- Stephen Kitt <skitt@debian.org>  Fri, 29 May 2015 07:12:25 +0200
