=== debian/rules ===
--- 
+++ 
@@ -37,7 +37,7 @@
 CPPFLAGS = $(shell $(dpkg_buildflags) --get CPPFLAGS)
 CXXFLAGS = $(shell $(dpkg_buildflags) --get CXXFLAGS)
 FFLAGS = $(shell $(dpkg_buildflags) --get FFLAGS)
-LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS) -Xlinker --no-insert-timestamp
+LDFLAGS = $(shell $(dpkg_buildflags) --get LDFLAGS)
 export CFLAGS CPPFLAGS CXXFLAGS FFLAGS LDFLAGS
 
 clean:
@@ -72,7 +72,9 @@
 
 # gendef requires libmangle
 $(host)~$(host)~tools-gendef-configure-stamp: autoreconf-stamp $(host)~$(host)~libraries-libmangle-install-stamp
-	dh_auto_configure -D$(call sourcefolder,$(host)~$(host)~tools-gendef) -B$(call buildfolder,$(host)~$(host)~tools-gendef) -- --with-mangle=$(top_dir)/debian/tmp/usr $(shell dpkg-buildflags --export=configure)
+	mkdir -p $(call buildfolder,$(host)~$(host)~tools-gendef) && \
+	cd $(call buildfolder,$(host)~$(host)~tools-gendef) && \
+	$(call sourcefolder,$(host)~$(host)~tools-gendef)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell dpkg-buildflags --export=configure)
 	touch $@
 
 build-arch-stamp: $(patsubst %,$(host)~$(host)~tools-%-install-stamp,$(HOST_TOOLS)) $(foreach target,$(targets),$(patsubst %,$(host)~$(target)~tools-%-install-stamp,$(TARGET_TOOLS)))
@@ -83,25 +85,30 @@
 
 # Override the header configuration
 %~headers-configure-stamp: autoreconf-stamp
-	dh_auto_configure -D$(call sourcefolder,$*~headers) -B$(call buildfolder,$*~headers) -- --prefix=/usr/$(call ruletarget,$*~headers) --host=$(call rulehost,$*~headers) --enable-sdk=all --enable-secure-api
+	mkdir -p $(call buildfolder,$*~headers) && \
+	cd $(call buildfolder,$*~headers) && \
+	$(call sourcefolder,$*~headers)/configure --prefix=/usr/$(call ruletarget,$*~headers) --host=$(call rulehost,$*~headers) --enable-sdk=all --enable-secure-api
 	touch $*-headers-configure-stamp
 
 # Override CRT configuration to avoid multilib builds
 target32crt := $(target32)~$(target32)~crt
 $(target32crt)-configure-stamp: $(target32)~$(target32)~headers-install-stamp autoreconf-stamp
-	CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$(target32crt))/include" dh_auto_configure -D$(call sourcefolder,$(target32crt)) -B$(call buildfolder,$(target32crt)) -- --prefix=/usr/$(call ruletarget,$(target32crt)) --host=$(call rulehost,$(target32crt)) --target=$(call ruletarget,$(target32crt)) --enable-lib32 --disable-lib64
+	mkdir -p $(call buildfolder,$(target32crt)) && \
+	cd $(call buildfolder,$(target32crt)) && \
+	$(call sourcefolder,$(target32crt))/configure --prefix=/usr/$(call ruletarget,$(target32crt)) --host=$(call rulehost,$(target32crt)) --target=$(call ruletarget,$(target32crt)) --enable-lib32 --disable-lib64 CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$(target32crt))/include"
 	touch $@
 target64crt := $(target64)~$(target64)~crt
 $(target64crt)-configure-stamp: $(target64)~$(target64)~headers-install-stamp autoreconf-stamp
-	CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$(target64crt))/include" dh_auto_configure -D$(call sourcefolder,$(target64crt)) -B$(call buildfolder,$(target64crt)) -- --prefix=/usr/$(call ruletarget,$(target64crt)) --host=$(call rulehost,$(target64crt)) --target=$(call ruletarget,$(target64crt)) --disable-lib32 --enable-lib64
+	mkdir -p $(call buildfolder,$(target64crt)) && \
+	cd $(call buildfolder,$(target64crt)) && \
+	$(call sourcefolder,$(target64crt))/configure --prefix=/usr/$(call ruletarget,$(target64crt)) --host=$(call rulehost,$(target64crt)) --target=$(call ruletarget,$(target64crt)) --disable-lib32 --enable-lib64 CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$(target64crt))/include"
 	touch $@
 
 build-indep-stamp: $(foreach target,$(targets),$(patsubst %,$(target)~$(target)~%-install-stamp,$(TARGET_PROJECTS))) $(patsubst %,$(target32)~$(target32)~%-install-stamp,$(TARGET32_PROJECTS))
-	# Move DLLs to lib, change their permissions to 644, drop .la files
+	# Move DLLs to lib, drop .la files
 	for target in $(targets); do \
 		mv $(top_dir)/debian/tmp/usr/$$target/bin/*.dll $(top_dir)/debian/tmp/usr/$$target/lib/; \
 		rmdir $(top_dir)/debian/tmp/usr/$$target/bin; \
-		chmod 644 $(top_dir)/debian/tmp/usr/$$target/lib/*.dll; \
 		rm $(top_dir)/debian/tmp/usr/$$target/lib/*.la; \
 	done
 	touch $@
@@ -122,10 +129,12 @@
 # If we're targetting the target host, disable hardening (see above),
 # change the prefix and use the new headers and libraries
 %-configure-stamp: autoreconf-stamp
+	mkdir -p $(call buildfolder,$*) && \
+	cd $(call buildfolder,$*) && \
 	if [ "$(call rulehost,$*)" = "$(host)" ]; then \
-		dh_auto_configure -D$(call sourcefolder,$*) -B$(call buildfolder,$*) -- $(shell dpkg-buildflags --export=configure) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
+		$(call sourcefolder,$*)/configure --prefix=/usr $(shell dpkg-buildflags --export=configure) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
 	else \
-		CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" LDFLAGS="$(LDFLAGS) -L$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib" dh_auto_configure -D$(call sourcefolder,$*) -B$(call buildfolder,$*) -- --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
+		$(call sourcefolder,$*)/configure --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*) CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" LDFLAGS="$(LDFLAGS) -L$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib"; \
 	fi
 	touch $*-configure-stamp
