## mingw-w64 4.0.6

=== debian/changelog ===
mingw-w64 (4.0.6-1) unstable; urgency=medium

  * New upstream release.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 01 Jul 2016 23:23:08 +0200

mingw-w64 (4.0.5-2) unstable; urgency=medium

  * Support no-inline builds in winnt.h. (Closes: #816146; thanks to
    Thomas Dickey for the patch!)

 -- Stephen Kitt <skitt@debian.org>  Sun, 28 Feb 2016 14:34:02 +0100

mingw-w64 (4.0.5-1) unstable; urgency=medium

  * New upstream release.
  * Switch to https: VCS URIs (see #810378).
  * Standards-Version 3.9.7, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Feb 2016 14:25:01 +0100
