## mingw-w64 5.0.1

=== debian/changelog ===
mingw-w64 (5.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 05 Jan 2017 23:34:24 +0100

mingw-w64 (5.0.0-1) unstable; urgency=medium

  * New upstream release.
  * Drop pthreads-libgomp.patch, merged upstream.

 -- Stephen Kitt <skitt@debian.org>  Fri, 21 Oct 2016 13:25:05 +0200

mingw-w64 (5.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Clean up debian/control using cme.
  * Standards-Version 3.9.8, no change required.
  * Remove the empty exception declaration from CheckError(); thanks to
    Sam Morris for the hint. (Closes: #816427.)
  * Enable all hardening options for the tools.
  * Update the spelling fixes.

 -- Stephen Kitt <skitt@debian.org>  Tue, 26 Apr 2016 21:58:43 +0200

mingw-w64 (5.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate, merging the pthreads libgomp patch.

 -- Stephen Kitt <skitt@debian.org>  Sat, 27 Feb 2016 15:01:56 +0100
