=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: mingw-w64
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
 Priority: extra
-Maintainer: Stephen Kitt <skitt@debian.org>
-Build-Depends: debhelper (>= 9), dh-autoreconf, automake (>= 1:1.14)
-Build-Depends-Indep:
- gcc-mingw-w64-i686 | gcc-mingw-w64-bootstrap (>= 4.6.0),
- gcc-mingw-w64-x86-64 | gcc-mingw-w64-bootstrap (>= 4.6.0)
-Standards-Version: 3.9.6
+Build-Depends: debhelper (>= 9),
+               dh-autoreconf,
+               automake (>= 1:1.14)
+Build-Depends-Indep: gcc-mingw-w64-i686 | gcc-mingw-w64-bootstrap (>= 4.6.0),
+                     gcc-mingw-w64-x86-64 | gcc-mingw-w64-bootstrap (>= 4.6.0)
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mingw-w64.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/mingw-w64.git
 Homepage: http://mingw-w64.sf.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/mingw-w64.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/mingw-w64.git;a=summary
 
 Package: mingw-w64-common
 Architecture: all
@@ -23,10 +24,16 @@
 
 Package: mingw-w64-i686-dev
 Architecture: all
-Depends: ${misc:Depends}, mingw-w64-common
-Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
-Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Depends: ${misc:Depends},
+         mingw-w64-common
 Suggests: wine
+Breaks: gcc-mingw-w64 (<< 4.6.0),
+        mingw-w64-dev (<< 2.0.3-1),
+        mingw-w64-dev (= 3.0~svn4933-1),
+        libpthreads-mingw-w64
+Replaces: mingw-w64-dev (<< 2.0.3-1),
+          mingw-w64-dev (= 3.0~svn4933-1),
+          libpthreads-mingw-w64
 Description: Development files for MinGW-w64 targeting Win32
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -40,10 +47,16 @@
 
 Package: mingw-w64-x86-64-dev
 Architecture: all
-Depends: ${misc:Depends}, mingw-w64-common
-Breaks: gcc-mingw-w64 (<< 4.6.0), mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
-Replaces: mingw-w64-dev (<< 2.0.3-1), mingw-w64-dev (= 3.0~svn4933-1), libpthreads-mingw-w64
+Depends: ${misc:Depends},
+         mingw-w64-common
 Suggests: wine64
+Breaks: gcc-mingw-w64 (<< 4.6.0),
+        mingw-w64-dev (<< 2.0.3-1),
+        mingw-w64-dev (= 3.0~svn4933-1),
+        libpthreads-mingw-w64
+Replaces: mingw-w64-dev (<< 2.0.3-1),
+          mingw-w64-dev (= 3.0~svn4933-1),
+          libpthreads-mingw-w64
 Description: Development files for MinGW-w64 targeting Win64
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -57,7 +70,9 @@
 
 Package: mingw-w64
 Architecture: all
-Depends: gcc-mingw-w64, g++-mingw-w64, ${misc:Depends}
+Depends: gcc-mingw-w64,
+         g++-mingw-w64,
+         ${misc:Depends}
 Description: Development environment targeting 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
@@ -71,8 +86,11 @@
 
 Package: mingw-w64-tools
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, pkg-config
-Provides: pkg-config-mingw-w64-i686, pkg-config-mingw-w64-x86-64
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         pkg-config
+Provides: pkg-config-mingw-w64-i686,
+          pkg-config-mingw-w64-x86-64
 Description: Development tools for 32- and 64-bit Windows
  MinGW-w64 provides a development and runtime environment for 32- and
  64-bit (x86 and x64) Windows applications using the Windows API and
