## mingw-w64 5.0.2

=== debian/changelog ===
mingw-w64 (5.0.2-2) unstable; urgency=medium

  * Install genlib as mingw-genlib to avoid conflicting with alliance.
    (Closes: #865571.)

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Jun 2017 23:01:52 +0200

mingw-w64 (5.0.2-1) unstable; urgency=medium

  * New upstream release.
  * Stop parsing dpkg-changelog, we don’t need the version information
    anyway.
  * Install genlib.
  * Standards-Version 4.0.0, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 21 Jun 2017 21:05:34 +0200
