=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                automake (>= 1:1.14)
 Build-Depends-Indep: gcc-mingw-w64-i686 | gcc-mingw-w64-bootstrap (>= 4.6.0),
                      gcc-mingw-w64-x86-64 | gcc-mingw-w64-bootstrap (>= 4.6.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mingw-w64.git
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/mingw-w64.git
 Homepage: http://mingw-w64.sf.net
