## mingw-w64 5.0.3

=== debian/changelog ===
mingw-w64 (5.0.3-1) unstable; urgency=medium

  * New upstream release.
  * Move to “Priority: optional”, “extra” is obsolete.
  * Mark mingw-w64-common as “Multi-Arch: foreign”.
  * Apply Simon Tatham’s fix for IsPlatformNT in multimon.h. (Along with
    upstream fixes for the pointer issues, this closes: #863064.)
  * Ensure alloca() is available on kFreeBSD.

 -- Stephen Kitt <skitt@debian.org>  Sat, 18 Nov 2017 21:16:23 +0100
