=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: mingw-w64
 Maintainer: Stephen Kitt <skitt@debian.org>
 Section: devel
-Priority: extra
+Priority: optional
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
                automake (>= 1:1.14)
@@ -14,6 +14,7 @@
 
 Package: mingw-w64-common
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Description: Common files for Mingw-w64
  MinGW-w64 provides a development and runtime environment for 32- and
