=== debian/rules ===
--- 
+++ 
@@ -9,9 +9,6 @@
 
 top_dir := $(shell pwd)
 build_dir := $(top_dir)/build
-deb_version := $(shell dpkg-parsechangelog | sed -ne "s/^Version: \(.*\)/\1/p")
-deb_upstream_version := $(shell echo $(deb_version) | cut -d- -f1)
-gnu_upstream_version := $(shell echo $(deb_upstream_version) | cut -d. -f1-3)
 
 # Target architectures
 target32 := i686-w64-mingw32
@@ -22,7 +19,7 @@
 host := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 
 # Host-based tools
-HOST_TOOLS := gendef genidl genpeimg
+HOST_TOOLS := gendef genidl genlib genpeimg
 # Targetted tools
 TARGET_TOOLS := widl
 
@@ -51,7 +48,7 @@
 CONFFLAGS = --prefix=/usr
 
 debian/autoreconf:
-	find $(top_dir) -name configure.ac | xargs -n 1 dirname > $@
+	find $(top_dir) -name configure.ac ! -path '*/.pc/*' | xargs -n 1 dirname > $@
 
 autoreconf-stamp: debian/autoreconf
 	dh_autoreconf
@@ -76,6 +73,14 @@
 	mkdir -p $(call buildfolder,$(host)~$(host)~tools-gendef) && \
 	cd $(call buildfolder,$(host)~$(host)~tools-gendef) && \
 	$(call sourcefolder,$(host)~$(host)~tools-gendef)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure)
+	touch $@
+
+# genlib requires libmangle and is installed as mingw-genlib
+# to avoid a conflict with alliance
+$(host)~$(host)~tools-genlib-configure-stamp: autoreconf-stamp $(host)~$(host)~libraries-libmangle-install-stamp
+	mkdir -p $(call buildfolder,$(host)~$(host)~tools-genlib) && \
+	cd $(call buildfolder,$(host)~$(host)~tools-genlib) && \
+	$(call sourcefolder,$(host)~$(host)~tools-genlib)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure) --program-prefix=mingw-
 	touch $@
 
 build-arch-stamp: $(patsubst %,$(host)~$(host)~tools-%-install-stamp,$(HOST_TOOLS)) $(foreach target,$(targets),$(patsubst %,$(host)~$(target)~tools-%-install-stamp,$(TARGET_TOOLS)))
