## mingw-w64 5.0.4

=== debian/changelog ===
mingw-w64 (5.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Thu, 07 Jun 2018 00:54:40 +0200

mingw-w64 (5.0.3-2) unstable; urgency=medium

  * Migrate to Salsa.
  * Mark mingw-w64-i686-dev and mingw-w64-x86-64-dev as “Multi-Arch:
    foreign”.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 20 May 2018 19:03:33 +0200
