=== debian/control ===
--- 
+++ 
@@ -7,9 +7,9 @@
                automake (>= 1:1.14)
 Build-Depends-Indep: gcc-mingw-w64-i686 | gcc-mingw-w64-bootstrap (>= 4.6.0),
                      gcc-mingw-w64-x86-64 | gcc-mingw-w64-bootstrap (>= 4.6.0)
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/mingw-w64.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/mingw-w64.git
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/mingw-w64-team/mingw-w64
+Vcs-Git: https://salsa.debian.org/mingw-w64-team/mingw-w64.git
 Homepage: http://mingw-w64.sf.net
 
 Package: mingw-w64-common
@@ -25,6 +25,7 @@
 
 Package: mingw-w64-i686-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          mingw-w64-common
 Suggests: wine
@@ -48,6 +49,7 @@
 
 Package: mingw-w64-x86-64-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends},
          mingw-w64-common
 Suggests: wine64
