## mingw-w64 6.0.0

=== debian/changelog ===
mingw-w64 (6.0.0-4) unstable; urgency=medium

  * Add missing host/target specifiers for Canadian-cross builds. Thanks
    to Helmut Grohne for the patch! Closes: #927053.
  * Add a stage1 build profile to build with the bootstrapping compiler.
  * libmangle is only useful as a host library, drop it from the target
    builds.
  * Standards-Version 4.4.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Tue, 17 Sep 2019 07:57:29 +0200

mingw-w64 (6.0.0-3) unstable; urgency=medium

  * Fix widl build on aarch64.

 -- Stephen Kitt <skitt@debian.org>  Sun, 11 Nov 2018 20:47:29 +0100

mingw-w64 (6.0.0-2) unstable; urgency=medium

  * Ensure the build directory is created before writing to it.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Oct 2018 22:20:36 +0200

mingw-w64 (6.0.0-1) unstable; urgency=medium

  * New upstream release. Closes: #911579.
  * Share more files in mingw-w64-common.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Oct 2018 19:44:32 +0200
