=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,13 @@
 TARGET_TOOLS := widl
 
 # Targetted projects
-TARGET_PROJECTS := crt libraries-libmangle libraries-winstorecompat libraries-winpthreads
+ifeq ($(filter stage1,$(DEB_BUILD_PROFILES)),)
+TARGET_PROJECTS := crt libraries-winstorecompat libraries-winpthreads
 TARGET32_PROJECTS := libraries-pseh
+else
+TARGET_PROJECTS := crt libraries-winpthreads
+TARGET32_PROJECTS :=
+endif
 
 # No hardening support for now, except in the tools (build-arch-stamp)
 dpkg_soft_buildflags = DEB_BUILD_MAINT_OPTIONS="hardening=-all" dpkg-buildflags
@@ -72,7 +77,7 @@
 $(host)~$(host)~tools-gendef-configure-stamp: autoreconf-stamp $(host)~$(host)~libraries-libmangle-install-stamp
 	mkdir -p $(call buildfolder,$(host)~$(host)~tools-gendef) && \
 	cd $(call buildfolder,$(host)~$(host)~tools-gendef) && \
-	$(call sourcefolder,$(host)~$(host)~tools-gendef)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure)
+	$(call sourcefolder,$(host)~$(host)~tools-gendef)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure) --host=$(host) --target=$(host)
 	touch $@
 
 # genlib requires libmangle and is installed as mingw-genlib
@@ -80,7 +85,7 @@
 $(host)~$(host)~tools-genlib-configure-stamp: autoreconf-stamp $(host)~$(host)~libraries-libmangle-install-stamp
 	mkdir -p $(call buildfolder,$(host)~$(host)~tools-genlib) && \
 	cd $(call buildfolder,$(host)~$(host)~tools-genlib) && \
-	$(call sourcefolder,$(host)~$(host)~tools-genlib)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure) --program-prefix=mingw-
+	$(call sourcefolder,$(host)~$(host)~tools-genlib)/configure --prefix=/usr --with-mangle=$(top_dir)/debian/tmp/usr $(shell $(dpkg_hard_buildflags) --export=configure) --program-prefix=mingw- --host=$(host) --target=$(host)
 	touch $@
 
 build-arch-stamp: $(patsubst %,$(host)~$(host)~tools-%-install-stamp,$(HOST_TOOLS)) $(foreach target,$(targets),$(patsubst %,$(host)~$(target)~tools-%-install-stamp,$(TARGET_TOOLS)))
@@ -134,15 +139,20 @@
 # If we're targetting the build host, configure for hardening
 # If we're targetting the target host, disable hardening (see above),
 # change the prefix and use the new headers and libraries
-%-configure-stamp: autoreconf-stamp
+%-configure-stamp: autoreconf-stamp %-specs
 	mkdir -p $(call buildfolder,$*) && \
 	cd $(call buildfolder,$*) && \
 	if [ "$(call rulehost,$*)" = "$(host)" ]; then \
 		$(call sourcefolder,$*)/configure --prefix=/usr $(shell $(dpkg_hard_buildflags) --export=configure) --host=$(call rulehost,$*) --target=$(call ruletarget,$*); \
 	else \
-		$(call sourcefolder,$*)/configure --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*) CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" LDFLAGS="$(LDFLAGS) -L$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib"; \
+		$(call sourcefolder,$*)/configure --prefix=/usr/$(call ruletarget,$*) --host=$(call rulehost,$*) --target=$(call ruletarget,$*) CPPFLAGS="$(CPPFLAGS) -I$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/include" LDFLAGS="-specs=$(build_dir)/$(call ruletarget,$*)-specs $(LDFLAGS) -L$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib"; \
 	fi
 	touch $*-configure-stamp
+
+# Generate a spec file to ensure that we use the newly-built startup files
+%-specs:
+	mkdir -p $(build_dir)
+	sed 's!@@PATH@@!$(top_dir)/debian/tmp/usr/$(call ruletarget,$*)/lib/!g' < $(top_dir)/debian/specs.in > $(build_dir)/$(call ruletarget,$*)-specs
 
 %-build-stamp: %-configure-stamp
 	dh_auto_build -D$(call sourcefolder,$*) -B$(call buildfolder,$*)
@@ -156,7 +166,7 @@
 # Move duplicate files to mingw-w64-common
 	reftarget=$$(echo $(targets) | cut -d\  -f1); \
 	testtargets=$$(echo $(targets) | cut -d\  -f2-); \
-	for file in $$(cd debian/tmp/usr/$$reftarget; find . -name \*.h); do \
+	for file in $$(cd debian/tmp/usr/$$reftarget; find . -type f ! -name \*.a); do \
 		duptargets=$$reftarget; \
 		for testtarget in $$testtargets; do \
 			if [ -f debian/tmp/usr/$$testtarget/$$file ]; then \
@@ -169,12 +179,3 @@
 			mkdir -p debian/mingw-w64-common/usr/share/mingw-w64/$$(dirname $$file); \
 			cp debian/tmp/usr/$$reftarget/$$file debian/mingw-w64-common/usr/share/mingw-w64/$$file; \
 			for duptarget in $$duptargets; do \
-				rm -f debian/tmp/usr/$$duptarget/$$file; \
-				ln -sf /usr/share/mingw-w64/$$file debian/tmp/usr/$$duptarget/$$file; \
-			done; \
-		fi; \
-	done
-# Do the rest of the installation
-	dh_install -i
-
-.PHONY: binary-indep binary-arch binary clean build-indep build-arch build install
